UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Observer richw42a
Observer
6,483 Views
Registered: ‎03-05-2014

FIR compiler gives error ERROR: [Synth 8-97] array index 2079 out of range

Using FIR compiler 7.2 (Rev. 5) with Vivado 2015.4, I get messages when I go through synthesis:

ERROR: [Synth 8-97] array index 2079 out of range [d:/local/Spheric/OptimalRanging/Artemis2/Artemis2.srcs/sources_1/ip/fir3_12/fir_compiler_v7_2_5/hdl/fir_compiler_v7_2_vh_rfs.vhd:33158]
ERROR: [Synth 8-285] failed synthesizing module 'polyphase_decimation' [d:/local/Spheric/OptimalRanging/Artemis2/Artemis2.srcs/sources_1/ip/fir3_12/fir_compiler_v7_2_5/hdl/fir_compiler_v7_2_vh_rfs.vhd:28697]
ERROR: [Synth 8-285] failed synthesizing module 'fir_compiler_v7_2_5_viv' [d:/local/Spheric/OptimalRanging/Artemis2/Artemis2.srcs/sources_1/ip/fir3_12/fir_compiler_v7_2_5/hdl/fir_compiler_v7_2_vh_rfs.vhd:59747]
ERROR: [Synth 8-285] failed synthesizing module 'fir_compiler_v7_2_5' [d:/local/Spheric/OptimalRanging/Artemis2/Artemis2.srcs/sources_1/ip/fir3_12/fir_compiler_v7_2_5/hdl/fir_compiler_v7_2.vhd:244]
ERROR: [Synth 8-285] failed synthesizing module 'fir3_12' [d:/local/Spheric/OptimalRanging/Artemis2/Artemis2.srcs/sources_1/ip/fir3_12/synth/fir3_12.vhd:76]

 

Since these are encrypted files, it's hard to see what's going on :(

I'll attach a couple possibly useful files.

By the way, forcing non-symmetrical coefficients removed the problem.

0 Kudos